DWARF_DIENAME(3) | Library Functions Manual | DWARF_DIENAME(3)

# NAME

`dwarf_diename` —
retrieve the name associated with a debugging information entry

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

int
`dwarf_diename`(Dwarf_Die die, char **ret_name, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_diename`() retrieves a pointer to the NUL-terminated string associated with the `DW_AT_name` attribute of the debugging information entry descriptor referenced by argument die. If the pointer was successfully retrieved, it is stored in the location pointed to by argument ret_name.

# RETURN VALUES

Function `dwarf_diename`() returns `DW_DLV_OK on success.`

If the debugging information entry descriptor denoted by argument die does not contain a `DW_AT_name` attribute, the function returns `DW_DLV_NO_ENTRY` and sets argument err. For other errors, it returns `DW_DLV_ERROR` and sets argument err.

# ERRORS

Function `dwarf_diename`() can fail with the following errors:

[`DW_DLE_ARGUMENT`]
  Either of arguments die or ret_name was NULL.
[`DW_DLE_NO_ENTRY`]
  Argument die had no `DW_AT_name` attribute.

# SEE ALSO

dwarf(3), dwarf_tag(3), dwarf_dieoffset(3), dwarf_die_abbrev_code(3)

March 31, 2010 | NetBSD 9.2